System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Provides the functionality to create a protocol mapping element. This class is sealed.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class with a specified scheme type, binding, and binding configuration.

  A communications protocol scheme.
  A communications protocol message format style.
  The binding settings for the configuration of the protocol mapping element.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("binding", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.StringValidator(MinLength=0)
  System.String To be added. To be added.

  Gets or sets the settings for the communications protocol message formatting.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("bindingConfiguration", Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Configuration.StringValidator(MinLength=0)
  System.String To be added. To be added.

  Gets or sets the binding settings for the protocol mapping configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("scheme", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=0)
  System.String To be added. To be added.

  Gets or sets the communications protocol type.